Subject: Re: [PATCH]: PowerPC: make sure the rtas stop-self token is defined.

From: Nathan Lynch <[email-masked]>
Date: Mon, 13 Nov 2006 12:57:04 -0600

Linas Vepstas wrote:
> On Sat, Nov 11, 2006 at 10:55:09AM +1100, Paul Mackerras wrote:
> > Linas Vepstas writes:
> > 
> > > I presume this looks reasonable, please apply.
> > 
> > OK, is this a fix for a bug that needs to be fixed before 2.6.19 is
> > release?
> 
> Probably not. This was uncovered during "unusual" testing, with user
> catting values int sysfs files.  Since you need to be root to do this,
> I don't think its a security flaw.

I'm still not clear on what problem this patch is intended to address.

If the 'online' cpu attribute in sysfs can be used to attempt an
offline operation on a kernel with CONFIG_HOTPLUG_CPU=n, that's what
needs to be fixed.